FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Desktop

 
 
LinkBack Thread Tools
 
Old 01-12-2009, 08:45 PM
Tomáš Chvátal
 
Default Anouncement: Updated kde4 eclasses in the tree.

Hi,
we gentoo kde devs and our herd testers would like to anounce that we have
prepared new kde4 eclasses which supports working with more kdes and has many
many features.
I will try to give you some info about usage and so on.
So first let take look under the hood (supported stuff):
* koffice2 (with these eclasses you can build reasonably split koffice stuff
:])
* linguas support (you have to install only languages user want)
* live ebuilds support (we support by default usage of subversion ebuilds
directly so you inherit the same eclass)
* reworked dependency blocks (so your application will work with kde-4.1
kde-4.2 or with every version, it is your call :])
* only EAPI="2" (this you might not like but every ebuild inheriting our
eclasses needs to be eapi2, sorry guys it is much simpler and cleaner)
* syntax cleanup (we polished the eclass so it should be readable for most
people and it should be easy to spot and fix error).

So what changes for you developers wanting to write some stuff:
1) new variables (all must be before inherit of our nice eclass)

KDE_LINGUAS="cs sr@Latn uk" # for specifying linguas in the package (These
must be all specified! so if you have some .po .ts and others in your package
you should fix up!)

NEED_KDE="4.3" # this variable is used for specifying dependency on certain
kde version, you should not define this variable if you are not sure, we have
nice fallback.

KDE_MINIMAL="4.3" # aproximate minimal needed kde version for your package.
Can be used as DEPEND=">=kde-base/libkonq-${KDE_MINIMAL}[kdeprefix=]".

KDE_WANTED="4.2" # this is internal variable used for specifying deps search
order. If user has kdeprefix we start version search from this version so it
gets first if installed or pulled. (really usefull only for internal kde use).

2) as example ebuilds you can browse kde-testing [1] and kde-crazy [2]

3) we also open new ~6months long oportunity window for feature call and code
cleanups :P

Enjoy using the new eclass :]

Tomas
PS: I really hope i didnt miss something important.
PPS: I really really hope that this time kmail will sent this as only text
mail not html one.

[1] http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=summary
[2] http://git.overlays.gentoo.org/gitweb/?p=proj/kde-crazy.git;a=summary
 
Old 01-12-2009, 08:45 PM
Tomáš Chvátal
 
Default Anouncement: Updated kde4 eclasses in the tree.

Hi,
we gentoo kde devs and our herd testers would like to anounce that we have
prepared new kde4 eclasses which supports working with more kdes and has many
many features.
I will try to give you some info about usage and so on.
So first let take look under the hood (supported stuff):
* koffice2 (with these eclasses you can build reasonably split koffice stuff
:])
* linguas support (you have to install only languages user want)
* live ebuilds support (we support by default usage of subversion ebuilds
directly so you inherit the same eclass)
* reworked dependency blocks (so your application will work with kde-4.1
kde-4.2 or with every version, it is your call :])
* only EAPI="2" (this you might not like but every ebuild inheriting our
eclasses needs to be eapi2, sorry guys it is much simpler and cleaner)
* syntax cleanup (we polished the eclass so it should be readable for most
people and it should be easy to spot and fix error).

So what changes for you developers wanting to write some stuff:
1) new variables (all must be before inherit of our nice eclass)

KDE_LINGUAS="cs sr@Latn uk" # for specifying linguas in the package (These
must be all specified! so if you have some .po .ts and others in your package
you should fix up!)

NEED_KDE="4.3" # this variable is used for specifying dependency on certain
kde version, you should not define this variable if you are not sure, we have
nice fallback.

KDE_MINIMAL="4.3" # aproximate minimal needed kde version for your package.
Can be used as DEPEND=">=kde-base/libkonq-${KDE_MINIMAL}[kdeprefix=]".

KDE_WANTED="4.2" # this is internal variable used for specifying deps search
order. If user has kdeprefix we start version search from this version so it
gets first if installed or pulled. (really usefull only for internal kde use).

2) as example ebuilds you can browse kde-testing [1] and kde-crazy [2]

3) we also open new ~6months long oportunity window for feature call and code
cleanups :P

Enjoy using the new eclass :]

Tomas
PS: I really hope i didnt miss something important.
PPS: I really really hope that this time kmail will sent this as only text
mail not html one.

[1] http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=summary
[2] http://git.overlays.gentoo.org/gitweb/?p=proj/kde-crazy.git;a=summary
 
Old 01-12-2009, 09:00 PM
Dale
 
Default Anouncement: Updated kde4 eclasses in the tree.

Tomáš Chvátal wrote:
> Hi,
> << SNIP >>
>
> Tomas
> PS: I really hope i didnt miss something important.
> PPS: I really really hope that this time kmail will sent this as only text
> mail not html one.
>

And in the future, hit compose new message instead. Your message appears
as part of a thread of the subject: "Automated Package Removal and
Addition Tracker, for the week ending 2009-01-11 23h59 UTC" That could
mean some won't see your post. I almost didn't myself. I was curious
since no one replies to that automated thing. Who would answer if they
did? :/

Dale

:-) :-)
 
Old 01-12-2009, 09:13 PM
Tomáš Chvátal
 
Default Anouncement: Updated kde4 eclasses in the tree.

Well that is the problem, I didnt hit reply but new message button
(i guess kmail4.2 is doing something fancy )

Tomas
 
Old 01-12-2009, 11:06 PM
Dale
 
Default Anouncement: Updated kde4 eclasses in the tree.

Tomáš Chvátal wrote:
> Well that is the problem, I didnt hit reply but new message button
> (i guess kmail4.2 is doing something fancy )
>
> Tomas
>

Yep, time to search the configure section. Something "windoze like"
going on in there. lol

Dale

:-) :-)
 
Old 01-13-2009, 03:07 AM
"Alec Warner"
 
Default Anouncement: Updated kde4 eclasses in the tree.

On Mon, Jan 12, 2009 at 2:00 PM, Dale <rdalek1967@gmail.com> wrote:
> Tomáš Chvátal wrote:
>> Hi,
>> << SNIP >>
>>
>> Tomas
>> PS: I really hope i didnt miss something important.
>> PPS: I really really hope that this time kmail will sent this as only text
>> mail not html one.
>>
>
> And in the future, hit compose new message instead. Your message appears
> as part of a thread of the subject: "Automated Package Removal and
> Addition Tracker, for the week ending 2009-01-11 23h59 UTC" That could
> mean some won't see your post. I almost didn't myself. I was curious
> since no one replies to that automated thing. Who would answer if they
> did? :/

his original message contained:

References: <E1LMASL-0002kk-Jh@stork.gentoo.org>
In-Reply-To: <E1LMASL-0002kk-Jh@stork.gentoo.org>

Which I assume confused a subset[1] of clients because that messageID
is from Robin's automated message.

I dunno why kmail would do such a thing if you claim to have written a
new message though; maybe some testing is in order

-Alec

[1] gmail apparently ignores said headers and figures out what is a
'conversation' some other way.

>
> Dale
>
> :-) :-)
>
>
 
Old 01-13-2009, 07:31 PM
Jan Kundrát
 
Default Anouncement: Updated kde4 eclasses in the tree.

Tomáš Chvátal wrote:

(i guess kmail4.2 is doing something fancy )


Well, that explains it .

Cheers,
-jkt

--
cd /local/pub && more beer > /dev/mouth
 

Thread Tools




All times are GMT. The time now is 12:54 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org